dpkg-genchanges(1)

NOM
dpkg-genchanges - Créer des fichiers « .changes ».

SYNOPSIS
dpkg-genchanges [option...]

DESCRIPTION
dpkg-genchanges lit les informations à la fois dans une arborescence debian dépaquetée et déjà construite et à partir des fichiers qui ont été créés, et il crée un fichier de contrôle pour la mise en place dans l'archive Debian (c'est le fichier .changes).

OPTIONS

--build=type
    Indique le type de construction à partir d'une liste, séparée par des virgules, de composants (depuis dpkg 1.18.5).

    Les valeurs autorisées sont :

    source
        Envoyer le paquet source.

    any Envoyer les paquets binaires spécifiques à l'architecture.

    all Envoyer les paquets binaires indépendants de l'architecture.

    binary
        Envoyer les paquets binaires spécifiques et indépendants de l'architecture. C'est un alias pour any,all.

    full
        Envoyer tout. C'est un alias de source,any,all et identique au cas par défaut où aucune option de construction n'est indiquée.

-g  Équivalent de --build=source,all (depuis dpkg 1.17.11).

-G  Équivalent de --build=source,any (depuis dpkg 1.17.11).

-b  Équivalent de --build=binary ou --build=any,all.

-B  Équivalent de --build=any

-A  Équivalent de --build=all.

-S  Équivalent à --build=source.

Les options -sx contrôlent si l'archive source d'origine est incluse dans l'installation produite si un paquet source est créé (c'est-à-dire que les options -b ou -B n'ont pas été utilisées).

-si Par défaut, ou quand l'option est indiquée, les sources d'origine sont incluses uniquement si le numéro de version majeur (c'est-à-dire la version sans les parties epoch et « révision Debian ») diffère de la version précédente indiquée dans le fichier de changelog.

-sa Force l'inclusion des sources d'origine.

-sd Force l'exclusion des sources d'origine et inclut seulement le « diff ».

-vversion
    Force l'utilisation des informations contenues dans le fichier « changelog » et qui concernent toutes les versions strictement plus récentes que version.

-Cdescription-des-changements
    Lit la description des changements dans le fichier description-des-changements plutôt que dans le fichier « changelog » de l'arborescence source.

-madresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet plutôt que d'utiliser les informations contenues dans le fichier « control » de l'arborescence source.

-eadresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet pour cette mise en place, plutôt que d'utiliser les informations contenues dans le fichier « changelog » de l'arborescence source.

-Vnom=valeur
    Fixe la valeur d'une variable de substitution. Consultez deb-substvars(5) pour une discussion sur la valeur de substitution.

-Tfichier-substvars
    Lecture des variables de substitution depuis fichier-substvars ; la valeur par défaut est debian/substvars. Aucune substitution de variable n'est faite sur les champs de sortie, sauf pour les contenus extraits de chaque champ Description du paquet binaire (depuis dpkg 1.19.0), cependant la variable spéciale Format remplacera le champ qui porte le même nom. Cette option peut être utilisée plusieurs fois pour lire les variables de substitution depuis plusieurs fichiers (depuis dpkg 1.15.6).

-Dchamp=valeur
    Remplace ou ajoute en sortie un champ dans le fichier de contrôle.

-Uchamp
    Supprime en sortie un champ dans le fichier de contrôle.

-cfichier/control
    Indique le principal fichier de contrôle des sources où trouver des renseignements. Par défaut, c'est le fichier debian/control.

-lfichier-des-changements
    Indique le fichier des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog.

-ffichier/liste-des-fichiers
    Lit ou écrit la liste des fichiers qui doivent être envoyés vers l'archive dans ce fichier plutôt que dans le fichier debian/files.

-Fformat-du-fichier-des-changements
    Indique le format du fichier des changements. Voir dpkg-parsechangelog(1) pour plus d'informations à propos des formats gérés.

-urépertoire-des-fichiers-à-installer
    Cherche les fichiers à installer dans répertoire-des-fichiers-à-installer plutôt que dans .. (dpkg-genchanges doit trouver ces fichiers de manière à mettre leurs tailles et leurs sommes de contrôle dans le fichier .changes).

-q  dpkg-genchanges affiche habituellement des messages d'information sur la sortie d'erreur standard ; par exemple, combien de fichiers source du paquet sont en cours d'installation. -q supprime ces messages.

-O[nom-de-fichier]
    Affiche le fichier des modifications sur la sortie standard (par défaut) ou dans nom-de-fichier s'il est indiqué (depuis dpkg 1.18.5).

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

FICHIERS

debian/files
    La liste des fichiers créés qui seront envoyés sur le serveur. dpkg-genchanges lit dans ce fichier les données nécessaires à la création du fichier .changes.

VOIR AUSSI
deb-substvars(5), deb-src-control(5), deb-src-files(5), deb-changelog(5), deb-changes(5).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.